petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscClassRegLogRegister

Registers a class for logging operations in an application code.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscClassRegLogRegister(PetscClassRegLog classLog, const char cname[], PetscClassId classid)

Not Collective Many br

### Input Parameters

| classLog | - The ClassLog Many br
| cname | - The name associated with the class Many br

### Output Parameter

classid -The classid Many br

Many br

### Keywords

log, class, register

### See Also

PetscClassIdRegister()

Level:developer
Location:src/sys/logging/utils/classlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages